const config = require('./config/config.json');

const setting = {
	selenium_port: 4444,
	selenium_host: '192.168.0.22',
	desiredCapabilities: {
		chromeOptions: {
			args: ['headless', 'no-sandbox'],
		},
	},
};

module.exports = {
	src_folders: 'e2e/',
	output_folder: false,
	selenium: {
		start_process: false,
	},
	test_settings: {
		localhost: Object.assign(
			{
				launch_url: 'http://192.168.0.97:' + config.LOCALHOST_PORT,
			},
			setting
		),
		ci: Object.assign(
			{
				launch_url: 'http://10.5.0.2:' + config.E2E_PORT,
			},
			setting
		),
	},
};
