import { Action } from '@treejs/types/redux/actions';

import { FetchActions, IFetchConfig } from './types';

export const fetchData = <C = unknown>(config: IFetchConfig<C>): Action<IFetchConfig<C>> => ({
	type: FetchActions.FETCH,
	payload: config,
});
