export enum ACTIONS {
	ADD_MODAL = `MODALS/ADD_MODAL`,
	REMOVE_MODAL = `MODALS/REMOVE_MODAL`,
}

export type ModalId = string;

export type ModalState = {
	id: ModalId;
	properties?: { [key: string]: any };
	title?: string;
	visible?: boolean;
	width?: number;
};

export type ModalOption = ModalState;

export type ModalReducer = {
	[key: string]: ModalState;
};
