const colorFn = (cssVar, { opacityVariable, opacityValue }) => {
	if (opacityValue !== undefined) {
		return 'rgba(var(' + cssVar + '), ' + opacityValue + ')';
	}
	if (opacityVariable !== undefined) {
		return 'rgba(var(' + cssVar + '), var(' + opacityVariable + '))';
	}
	return 'rgb(var(' + cssVar + '))';
};

module.exports = {
	colorFn,
};
