type prefixed = { [key: string]: any };

export const keyPrefix = (source: prefixed, prefix: string): prefixed => {
	const prefixed: prefixed = {};
	const keys = Object.keys(source);

	for (const value of keys) {
		prefixed[`${prefix}.${value}`] = source[value];
	}

	return prefixed;
};
