import memoize from 'proxy-memoize';

import { IAuthOption, IRootStore } from './types';

export const getAttribute = memoize<[IRootStore, keyof IAuthOption], any>(([state, attributeName]) => {
	return state.treejs.auth[attributeName];
}) as <T>([state, attributeName]: [IRootStore, keyof IAuthOption<T>]) => any;
