import { Action } from '@treejs/types/redux/actions';

import { ACTIONS, ModalId, ModalOption, ModalState } from '../types';

export const openModal = (options: ModalOption): Action<ModalState, ACTIONS> => ({
	type: ACTIONS.ADD_MODAL,
	payload: options,
});

export const closeModal = (id: ModalId): Action<ModalState, ACTIONS> => ({
	type: ACTIONS.REMOVE_MODAL,
	payload: {
		id,
	},
});
