import { STATUS } from '@treejs/types/common';

export enum ACTIONS {
	ADD_TOASTER = 'TOASTER/ADD_TOASTER',
	REMOVE_TOASTER = 'TOASTER/REMOVE_TOASTER',
}

export type ToasterId = string;

export type ToasterState = {
	filled?: boolean;
	message: string;
	name: ToasterId;
	status?: STATUS;
	timeout?: number;
};

export type ToasterOption = ToasterState;

export interface ToasterReducer {
	[key: string]: ToasterState;
}
