import React from 'react';

export type IHTMLElement<Value> = {
	name: string;
	onBlur?: (value: Value, e: React.FocusEvent) => void;
	onChange?: (value: Value, e: React.MouseEvent | React.ChangeEvent | null) => void;
	onClick?: (value: Value, e: React.MouseEvent) => void;
	onFocus?: (value: Value, e: React.FocusEvent) => void;
	title?: string;
};
