import React from 'react';

import AddModalButton from '@treejs/components/Modal/components/AddModalButton';


const ExampleComponent: React.FC = () => {
	return <div>Hi, second modal here!</div>;
};

const ExampleComponentWithAddModal: React.FC = () => {
	return (
		<div>
			Hello
			<AddModalButton
				component={<ExampleComponent />}
				title="Open next modal"
				modalTitle='Second modal'
				id='secondModal'
			/>
		</div>
	);
};

export default ExampleComponentWithAddModal;
