import React from 'react';

import { Grid, GridCol } from '@treejs/components/Grid';

const Placeholder = () => {
	return (
		<Grid cols={4}>
			<GridCol>
				<div className="flex-1 space-y-4 py-1">
					<div className="h-4 bg-gray-200 rounded w-3/4" />
					<div className="space-y-2">
						<div className="h-4 bg-gray-200 rounded" />
						<div className="h-4 bg-gray-200 rounded w-5/6" />
					</div>
				</div>
			</GridCol>
		</Grid>
	);
};

export default Placeholder;
